Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.projections.azimuthal
Class LambertAzimuthalEqualArea

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.projections.Projection
              org.deegree.crs.projections.azimuthal.AzimuthalProjection
                  org.deegree.crs.projections.azimuthal.LambertAzimuthalEqualArea

All Implemented Interfaces:
  Serializable

    public class LambertAzimuthalEqualArea

extends AzimuthalProjection

The `LambertAzimuthalEqualArea` projection has following properties (From J.S. Snyder, Map Projections a Working Manual p. 182):

- Azimuthal
- Equal-Area
- All meridians in the polar aspect, the central meridian in other aspects, and the Equator in the equatorial aspect are straight lines
- The outer meridian of a hemisphere in the equatorial aspect (for the sphere) and the parallels in the polar aspect (sphere or ellipsoid) are circles.
- All other meridians and the parallels are complex curves
- Not a perspective projection
- Scale decreases radially as the distance increases from the center, the only point without distortion
- Directions from the center are true for the sphere and the polar ellipsoidal forms.
- Point opposite the center is shown as a circle surrounding the map (for the sphere).
- Used for maps of continents and hemispheres
- presented by lambert in 1772

The difference to orthographic and stereographic projection, comes from the spacing between the parallels. The space decreases with increasing distance from the pole. The opposite pole not visible on either the orthographic or stereographic may be shown on the lambert as a large circle surrounding the map, almost half again as far as the equator from the center. Normally the projectction is not shown beyond one hemisphere (or beyond the equator in the polar aspect).

It is known to be used by following epsg transformations:

- EPSG:3035

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.crs.projections.azimuthal.AzimuthalProjection
`EQUATOR, NORTH_POLE, OBLIQUE, SOUTH_POLE`

Constructor Summary
`LambertAzimuthalEqualArea(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units)`
`LambertAzimuthalEqualArea(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale)`
`LambertAzimuthalEqualArea(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale, Identifiable id)`
`LambertAzimuthalEqualArea(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, Identifiable id)`

Method Summary
`javax.vecmath.Point2d` | `doInverseProjection(double x, double y)` Do an inverse projection from projected (map) coordinates to geographic coordinates.
`javax.vecmath.Point2d` | `doProjection(double lambda, double phi)` The actual transform method doing a projection from geographic coordinates to map coordinates.
`String` | `getImplementationName()`

Methods inherited from class org.deegree.crs.projections.azimuthal.AzimuthalProjection
`getMode, hashCode`

Methods inherited from class org.deegree.crs.projections.Projection
`equals, getCosphi0, getDatum, getEccentricity, getEllipsoid, getFalseEasting, getFalseNorthing, getGeographicCRS, getNaturalOrigin, getPrimeMeridian, getProjectionLatitude, getProjectionLongitude, getScale, getScaleFactor, getSemiMajorAxis, getSemiMinorAxis, getSinphi0, getSquaredEccentricity, getUnits, isConformal, isEqualArea, isSpherical, setFalseEasting, setScale, toString`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LambertAzimuthalEqualArea

    public LambertAzimuthalEqualArea(GeographicCRS geographicCRS,
                                     double falseNorthing,
                                     double falseEasting,
                                     javax.vecmath.Point2d naturalOrigin,
                                     Unit units,
                                     double scale,
                                     Identifiable id)

Parameters:
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -
  `scale` -
  `id` - an identifiable instance containing information about this projection

### LambertAzimuthalEqualArea

    public LambertAzimuthalEqualArea(GeographicCRS geographicCRS,
                                     double falseNorthing,
                                     double falseEasting,
                                     javax.vecmath.Point2d naturalOrigin,
                                     Unit units,
                                     double scale)

Parameters:
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -
  `scale` -

### LambertAzimuthalEqualArea

    public LambertAzimuthalEqualArea(GeographicCRS geographicCRS,
                                     double falseNorthing,
                                     double falseEasting,
                                     javax.vecmath.Point2d naturalOrigin,
                                     Unit units,
                                     Identifiable id)

Parameters:
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -
  `id` - an identifiable instance containing information about this projection

### LambertAzimuthalEqualArea

    public LambertAzimuthalEqualArea(GeographicCRS geographicCRS,
                                     double falseNorthing,
                                     double falseEasting,
                                     javax.vecmath.Point2d naturalOrigin,
                                     Unit units)

Parameters:
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -

Method Detail

### doInverseProjection

    public javax.vecmath.Point2d doInverseProjection(double x,
                                                     double y)
                                              throws ProjectionException

  Description copied from class: `Projection`
  Do an inverse projection from projected (map) coordinates to geographic coordinates.

  Specified by:
    `doInverseProjection` in class `Projection`
  Parameters:
    `x` - coordinate on the map
    `y` - coordinate on the map
  Returns:
    the projected Point with x = lambda and y = phi;
  Throws:
    `ProjectionException` - if the given x and y coordinates could not be inverted to lambda and phi.

### doProjection

    public javax.vecmath.Point2d doProjection(double lambda,
                                              double phi)
                                       throws ProjectionException

  Description copied from class: `Projection`
  The actual transform method doing a projection from geographic coordinates to map coordinates.

  Specified by:
    `doProjection` in class `Projection`
  Parameters:
    `lambda` - the longitude
    `phi` - the latitude
  Returns:
    the projected Point or Point(Double.NAN, Double.NAN) if an error occurred.
  Throws:
    `ProjectionException` - if the given lamba and phi coordinates could not be projected to x and y.

### getImplementationName

    public String getImplementationName()

  Specified by:
    `getImplementationName` in class `Projection`
  Returns:
    A deegree specific name which will be used for the export of a projection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org